API DocumentationManufacturer part revision controller
Recognize a single part from a camera image
POST
Analyses an image and returns the top-N most visually similar part revisions. This is a simpler, 'raw' alternative to the /detect-and-embed endpoint
Phasio API Bearer Tokenheader
AuthorizationBearer <token>count?integerMaximum number of results to return (1-100)
Format
int64Range
1 <= value <= 100body*stringapplication/octet-streamFormat
byteTop-N matching part revisions with their similarity scores
response?stringapplication/jsoncurl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/part-revision/recognize?count=5' \ -H 'Content-Type: application/octet-stream' \ -d 'string'"string"